UserInterfaceParser (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.trolltech.UserInterfaceParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.trolltech
Class UserInterfaceParser

    java.lang.Object
      net.sf.antcontrib.cpptasks.trolltech.UserInterfaceParser

All Implemented Interfaces:
  Parser

    public final class UserInterfaceParser

extends java.lang.Object
implements Parser

Dependency scanner for Trolltech Qt User Interface definition files. .ui files are XML documents that may contain an include elements, however the includes are just copied to the generated files and and changes to the includes do not need to trigger rerunning uic.

Author:
  Curt Arnold

Constructor Summary
`UserInterfaceParser()` Constructor.

Method Summary
`void` | `addFilename(java.lang.String include)` Adds filename to the list of included files.
`java.lang.String[]` | `getIncludes()` Gets included files.
`void` | `parse(java.io.Reader reader)` Parses source file for dependencies.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInterfaceParser

    public UserInterfaceParser()

  Constructor.

Method Detail

### addFilename

    public void addFilename(java.lang.String include)

  Adds filename to the list of included files.

  Parameters:
    `include` - String included file name

### getIncludes

    public java.lang.String[] getIncludes()

  Gets included files.

  Specified by:
    `getIncludes` in interface `Parser`
  Returns:
    String[] included files

### parse

    public void parse(java.io.Reader reader)
               throws java.io.IOException

  Parses source file for dependencies.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `reader` - Reader reader
  Throws:
    `java.io.IOException` - if error reading source file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.